require "open-uri"
require "json"

class CarRegistrationLookupError < StandardError
  def initialize(msg="Unknown error")
    super
  end
end

class CarRegistrationUSA
 def self.Lookup(registrationNumber,state, username,password)
	begin
		@data = open("https://www.regcheck.org.uk/api/json.aspx/CheckUSA/" + registrationNumber + "/" + state,http_basic_authentication: [username, password]).read	
	rescue OpenURI::HTTPError => error
		 raise CarRegistrationLookupError, error.io.string
	end
	return JSON.parse(@data)
 end
end

